//   FigTest.java --- FIG graphics for JAVA
//   This is a part of Fungus.

//   Copyright (C) 2001 Valvassori Mose <djedi@altern.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package fungus;

import fungus.core.utils.FigGraphics;
import java.awt.*;
import java.io.*;

/**
 * Simple Test of Fig Graphics
 * @author "Valvassori Mose" <djedi@altern.org>
 * @version $Id: FigTest.java,v 1.3 2001/01/24 22:09:19 djedi Exp $
 * @since 1.0
 */
public class FigTest {
   
  public static  void main(String argv[]) throws Exception{
    final  Frame p = new Frame() {
	public void paint(Graphics g)
	{
	   int x [] = new int[1500];
	   int y [] = new int[1500];

	   for (int i=0; i<1500; i++){
	     x[i]=1000+(int)(500*Math.cos(i/50.0)*Math.sin(i/200.0)*Math.sin(i/200.0));
	     y[i]= 1000+(int)(500*Math.cos(i/250.0)*Math.cos(i/50.0));
	   }
	   g.drawPolyline(x,y,500);
	   g.translate(450,450);
	   g.drawString("This is a Test",90,200);
	   g.drawLine(0,20,1,21);
	   g.setColor(Color.red);
	   g.drawLine(0,0,45,45);
	   g.drawString("1cm-1mm",5,0);

	   g.setColor(Color.blue);
	   g.drawRect(4500,4500,900,450);
	   g.fillRect(4500,4000,900,450);

	   g.setColor(Color.cyan);
	   g.drawRoundRect(3500,4500,900,450,7,7);
	   g.fillRoundRect(3500,4000,900,450,7,7);

	   g.setColor(Color.green);
	   g.drawOval(2500,4500,900,450);
	   g.fillOval(2500,4000,900,450);
	}
      };

    //  p.pack();
    //  p.setVisible(true);
    
    p.paint(new FigGraphics(new FileWriter("test.fig")));
  }
}
